package ru.ulstu.extractor.ts.creator;

import org.springframework.stereotype.Component;
import ru.ulstu.extractor.ts.model.TimeSeriesValue;
import ru.ulstu.extractor.ts.service.TimeSeriesService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class StarTS extends AbstractTimeSeriesCreator {
    private final TimeSeriesService timeSeriesService;

    public StarTS(TimeSeriesService timeSeriesService) {
        this.timeSeriesService = timeSeriesService;
    }

    @Override
    public String getTimeSeriesName() {
        return "Количество звезд";
    }

    @Override
    public Map<String, List<TimeSeriesValue>> getTimeSeriesValues(Integer repositoryId, String branchName) {
        return new HashMap<>();
    }

    @Override
    public TimeSeriesService getTimeSeriesService() {
        return timeSeriesService;
    }
}
